package daobeauty.proxy.cglib;

import java.lang.reflect.Method;

import net.sf.cglib.proxy.InvocationHandler;
import daobeauty.interceptor.MethodInterceptor;

/**
 * Created 09.09.2008
 * @author M. Serhat Cinar
 *
 */
public class InvocationHandlerAdapter implements InvocationHandler {
	private MethodInterceptor generalInterceptor;
	
	public InvocationHandlerAdapter(MethodInterceptor generalInterceptor){
		this.generalInterceptor = generalInterceptor;
	}

	@SuppressWarnings("unused")
	public Object invoke(Object proxy, Method method, Object[] args) throws Throwable {
		return generalInterceptor.invoke(method, args);
	}
}
